Package ru.bitel.bgbilling.kernel.contract.autopayment.common.bean

# Class Autopayment

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.kernel.contract.autopayment.common.bean.Autopayment

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Autopayment extends Id

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Autopayment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccessToken()`
  `int`
  `getContractId()`
  `String`
  `getData()`
  `AutopaymentMode`
  `getMode()`
  `String`
  `getModeData()`
  `PeriodWithTime`
  `getPeriod()`
  `BigDecimal`
  `getSum()`
  `Autopayment`
  `setAccessToken(String accessToken)`
  `Autopayment`
  `setContractId(int contractId)`
  `Autopayment`
  `setData(String data)`
  `Autopayment`
  `setId(int id)`
  Устанавливает id объекта
  `Autopayment`
  `setMode(AutopaymentMode mode)`
  `Autopayment`
  `setModeData(String modeData)`
  `Autopayment`
  `setPeriod(PeriodWithTime period)`
  `Autopayment`
  `setSum(BigDecimal sum)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Autopayment

    public Autopayment()

- ## Method Details

  - ### getAccessToken

    public String getAccessToken()

  - ### getContractId

    public int getContractId()

  - ### getData

    public String getData()

  - ### getMode

    public AutopaymentMode getMode()

  - ### getModeData

    public String getModeData()

  - ### getPeriod

    public PeriodWithTime getPeriod()

  - ### getSum

    public BigDecimal getSum()

  - ### setAccessToken

    public Autopayment setAccessToken(String accessToken)

  - ### setContractId

    public Autopayment setContractId(int contractId)

  - ### setData

    public Autopayment setData(String data)

  - ### setId

    public Autopayment setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `Id`

  - ### setMode

    public Autopayment setMode(AutopaymentMode mode)

  - ### setModeData

    public Autopayment setModeData(String modeData)

  - ### setPeriod

    public Autopayment setPeriod(PeriodWithTime period)

  - ### setSum

    public Autopayment setSum(BigDecimal sum)